@import url(https://fonts.googleapis.com/css?family=Montserrat:300,regular,500,600,700);
@charset "UTF-8";
@font-face {
  font-family: main;
  src: url(/fonts/Cut-the-crap.ttf?69e3813946df72d851478b5fc53be06e);
}
body {
  font-family: Montserrat;
  background-color: #121314;
}

.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

._lock {
  overflow: hidden;
}

._container {
  padding: 20px 20px 0 20px;
  max-width: 1410px;
  margin: 0 auto;
  margin-top: 100px;
}

._title-block {
  font-family: main;
  font-size: clamp(30px, 4vw, 50px);
  color: #121314;
  background-color: #ff2602;
  width: -moz-fit-content;
  width: fit-content;
  padding: 0 10px;
  border-radius: 10px;
  margin-bottom: 50px;
}

@media (max-width: 768px) {
  ._container {
    padding: 20px 20px 0 20px;
    margin-top: 50px;
  }
  ._title-block {
    margin-bottom: 30px;
  }
}
/*Обнуление*/
* {
  padding: 0;
  margin: 0;
  border: 0;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

:focus,
:active {
  outline: none;
}

a:focus,
a:active {
  outline: none;
}

nav,
footer,
header,
aside {
  display: block;
}

html,
body {
  height: 100%;
  width: 100%;
  font-size: 100%;
  line-height: 1;
  font-size: 14px;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

input,
button,
textarea {
  font-family: inherit;
}

input::-ms-clear {
  display: none;
}

button {
  cursor: pointer;
}

button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

a,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

ul li {
  list-style: none;
}

img {
  vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: 400;
}

.header {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 5;
  width: 100%;
}
.header__container {
  max-width: 1410px;
  margin: 0 auto;
  padding: 60px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header__logo {
  max-width: 220px;
  display: none;
}
.header__logo img {
  width: 100%;
}
.header__list {
  display: flex;
  gap: 40px 60px;
  margin: 0 auto;
}
.header__link {
  position: relative;
  font-size: 18px;
  color: white;
}
.header__link::before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -5px;
  transform: translateX(-50%);
  height: 1.5px;
  width: 0;
  background-color: white;
  transition: all 0.3s;
}
.header__link:hover::before {
  width: 100%;
}
.header__menu-burger {
  display: none;
  position: relative;
  z-index: 10;
  width: 45px;
  height: 40px;
}
.header__menu-burger span {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  height: 5%;
  background-color: white;
  transition: all 0.3s;
}
.header__menu-burger::before, .header__menu-burger::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 5%;
  background-color: white;
  transition: all 0.3s;
}
.header__menu-burger::before {
  top: 0;
}
.header__menu-burger::after {
  bottom: 0;
}
.header__menu-burger._active span {
  width: 0;
}
.header__menu-burger._active::before {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}
.header__menu-burger._active::after {
  bottom: 45%;
  transform: translateY(-50%) rotate(-45deg);
}
@media (max-width: 768px) {
  .header__container {
    justify-content: flex-end;
    padding: 30px 20px;
  }
  .header__menu-burger {
    display: block;
    margin-right: 10px;
  }
  .header__list {
    justify-content: start;
    flex-direction: column;
    text-align: center;
    position: fixed;
    z-index: 10;
    top: 0;
    right: -100%;
    height: 100vh;
    min-width: 300px;
    max-width: 100vw;
    padding: 100px 50px;
    background-color: black;
    transition: all 0.4s ease 0.1s;
    overflow-y: auto;
    gap: 40px;
  }
  .header__list._active {
    right: 0;
  }
  .header__link {
    font-size: 25px;
  }
}

@keyframes fixed-header {
  0% {
    top: -200px;
  }
  100% {
    top: 0;
  }
}
.header._fixed {
  position: fixed;
  background-color: #221512;
  border-radius: 0 0 20px 20px;
  border-left: 2px solid #ff2602;
  border-right: 2px solid #ff2602;
  border-bottom: 2px solid #ff2602;
  animation: fixed-header 0.5s ease-in-out forwards;
}

.header._fixed .header__container {
  padding: 10px 20px;
}

.header._fixed .header__list {
  margin: 0 0 0 auto;
}

.header._fixed .header__logo {
  display: block;
}

.fixed-header {
  position: fixed;
  width: 100%;
  top: -200px;
  left: 0;
  z-index: 5;
  background-color: #221512;
  border-radius: 0 0 20px 20px;
  border-left: 2px solid #ff2602;
  border-right: 2px solid #ff2602;
  border-bottom: 2px solid #ff2602;
  transition: all 0.5s ease 0.1s;
}
.fixed-header__container {
  max-width: 1410px;
  margin: 0 auto;
  padding: 10px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}
.fixed-header__logo {
  max-width: 200px;
}
.fixed-header__logo img {
  width: 100%;
}
.fixed-header__list {
  display: flex;
  gap: 40px 60px;
}
.fixed-header__link {
  position: relative;
  font-size: 18px;
  color: white;
}
.fixed-header__link::before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -5px;
  transform: translateX(-50%);
  height: 1.5px;
  width: 0;
  background-color: white;
  transition: all 0.3s;
}
.fixed-header__link:hover::before {
  width: 100%;
}
.fixed-header__menu-burger {
  display: none;
  position: relative;
  z-index: 10;
  width: 45px;
  height: 40px;
}
.fixed-header__menu-burger span {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  height: 5%;
  background-color: white;
  transition: all 0.3s;
}
.fixed-header__menu-burger::before, .fixed-header__menu-burger::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 5%;
  background-color: white;
  transition: all 0.3s;
}
.fixed-header__menu-burger::before {
  top: 0;
}
.fixed-header__menu-burger::after {
  bottom: 0;
}
.fixed-header__menu-burger._active span {
  width: 0;
}
.fixed-header__menu-burger._active::before {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}
.fixed-header__menu-burger._active::after {
  bottom: 45%;
  transform: translateY(-50%) rotate(-45deg);
}
@media (max-width: 768px) {
  .fixed-header__menu-burger {
    display: block;
  }
  .fixed-header__list {
    justify-content: start;
    flex-direction: column;
    text-align: center;
    position: fixed;
    z-index: 10;
    top: 0;
    right: -100%;
    height: 100vh;
    min-width: 300px;
    max-width: 100vw;
    padding: 100px 50px;
    background-color: black;
    transition: all 0.4s ease 0.1s;
    overflow-y: auto;
    gap: 40px;
  }
  .fixed-header__list._active {
    right: 0;
  }
  .fixed-header__link {
    font-size: 25px;
  }
}
@media (max-width: 425px) {
  .fixed-header__logo {
    max-width: 160px;
  }
  .fixed-header__menu-burger {
    width: 40px;
    height: 35px;
  }
}

.fixed-header._active {
  top: 0;
}

.screen {
  position: relative;
  z-index: 1;
  background: url(/images/img.jpg?a0ea893d6dd95b3575c9bb8bf5e04cda) center no-repeat;
  background-size: cover;
}
.screen__container::before {
  content: "";
  background-color: rgba(0, 0, 0, 0.6);
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: -1;
  left: 0;
  top: 0;
}
.screen__container {
  padding: 120px 20px;
  max-width: 1410px;
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.screen__img {
  width: 300px;
  margin: 0 auto;
}
.screen__img img {
  width: 100%;
}
.screen__title {
  font-family: main;
  text-align: center;
  text-transform: uppercase;
  font-size: clamp(50px, 9vw, 100px);
  color: white;
  margin: 20px 0 100px 0;
}
.screen__title span {
  color: #ff2602;
}
.screen__swiper {
  width: 100%;
  position: relative;
  overflow-x: hidden;
}
.screen__swiper-wrapper {
  display: flex;
  transition-property: transform;
  box-sizing: content-box;
}
.screen__swiper-slide {
  flex-shrink: 0;
  width: 33.33%;
  height: auto;
  position: relative;
  box-sizing: border-box;
}
@media (max-width: 426px) {
  .screen__container {
    padding: 100px 20px;
  }
  .screen__img {
    max-width: 240px;
  }
  .screen__title {
    margin: 10px 0 40px 0;
  }
}

.slide-screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px 15px 45px 15px;
  border-radius: 20px;
  max-width: 100%;
  min-width: 200px;
  text-align: center;
  -webkit-backdrop-filter: blur(10px);
          backdrop-filter: blur(10px);
  background-color: rgba(255, 255, 255, 0.08);
  border: 2px solid #ff2602;
  transition: all 0.2s;
}
.slide-screen__img {
  position: relative;
  height: 140px;
  width: 140px;
}
.slide-screen__img img {
  border-radius: 50%;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: all 0.4s;
}
.slide-screen__title {
  font-family: main;
  font-size: clamp(25px, 4vw, 30px);
  color: #ff2602;
  margin: 20px 0;
}
.slide-screen__text {
  font-size: clamp(16px, 4vw, 18px);
  line-height: 140%;
  text-transform: uppercase;
  color: white;
}

.slide-screen:hover {
  background-color: rgba(203, 51, 51, 0.1058823529);
}

.slide-screen:hover .slide-screen__img img {
  box-shadow: 0 0 50px rgba(255, 40, 2, 0.4352941176);
}

.slide-screen:nth-child(even) {
  border: 2px solid #1d54ed;
}

.slide-screen:nth-child(even) .slide-screen__title {
  color: #1d54ed;
}

.slide-screen:nth-child(even):hover {
  background-color: rgba(49, 87, 192, 0.1058823529);
}

.slide-screen:nth-child(even):hover .slide-screen__img img {
  box-shadow: 0 0 50px rgba(29, 84, 237, 0.5215686275);
}

.about__container {
  display: flex;
  gap: 30px;
}
.about__column, .about__img {
  flex: 1;
}
.about__text {
  display: flex;
  flex-direction: column;
  gap: 30px;
  color: white;
  font-size: clamp(16px, 4vw, 18px);
  line-height: 150%;
}
.about__img img {
  position: sticky;
  top: 100px;
  max-width: 100%;
  height: auto;
  border-radius: 20px;
}
.about__img-mobile {
  display: none;
}
@media (max-width: 768px) {
  .about__img {
    display: none;
  }
  .about__img-mobile {
    display: block;
    width: 100%;
    height: 300px;
    margin-bottom: 30px;
    border-radius: 20px;
    -o-object-fit: cover;
       object-fit: cover;
  }
}

.prices__list {
  display: flex;
  gap: 30px;
  justify-content: center;
}
.prices__text {
  margin-bottom: 30px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  color: white;
  font-size: clamp(16px, 4vw, 18px);
  line-height: 150%;
}

.card-price {
  position: relative;
  flex: 1;
  max-width: 100%;
  min-width: 180px;
  height: 180px;
  border: 2px solid #1d54ed;
  border-radius: 20px;
  padding: 20px;
  overflow: hidden;
  cursor: pointer;
  text-align: center;
}
.card-price::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, #1d54ed 0%, #121314 60%);
  transition: all 0.5s;
}
.card-price:hover::before {
  top: 0;
}
.card-price__container {
  height: 100%;
  border-radius: 10px;
  background-color: #141a29;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #1d54ed;
  padding: 10px 20px;
}
.card-price__age {
  font-family: main;
  font-size: clamp(40px, 4vw, 50px);
  margin-bottom: 7px;
}
.card-price__price {
  font-weight: 600;
  font-size: clamp(23px, 3vw, 25px);
}

@media (max-width: 1024px) {
  .prices__list {
    flex-wrap: wrap;
  }
  .card-price {
    max-width: 100%;
  }
  .card-price__container {
    padding: 10px 20px;
  }
}
@media (max-width: 768px) {
  .card-price {
    height: auto;
  }
  .card-price__container {
    padding: 20px;
  }
}
.card-price:nth-child(even) {
  border: 2px solid #ff2602;
}
.card-price:nth-child(even)::before {
  background: linear-gradient(180deg, #ff2602 0%, #121314 60%);
}

.card-price:nth-child(even) .card-price__container {
  background-color: #221512;
  color: #ff2602;
}

.gallery__swiper {
  width: 100%;
  position: relative;
  overflow-x: hidden;
}
.gallery__swiper-wrapper {
  display: flex;
  flex-wrap: wrap;
  transition-property: transform;
  box-sizing: content-box;
}
.gallery__swiper-slide {
  flex-shrink: 0;
  width: 33.33%;
  position: relative;
  box-sizing: border-box;
  height: 300px;
}
.gallery__swiper-slide img {
  width: 100%;
  height: 300px;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 20px;
}
.gallery__swiper-buttons {
  margin-top: 40px;
  justify-content: flex-end;
  align-items: center;
  display: flex;
  gap: 30px;
}
.gallery__swiper-button-prev, .gallery__swiper-button-next {
  padding: 8px;
  border: 2px solid #1d54ed;
  border-radius: 15px;
  width: -moz-fit-content;
  width: fit-content;
  cursor: pointer;
  transition: all 0.2s;
  display: flex;
  align-items: center;
}
.gallery__swiper-button-prev:hover, .gallery__swiper-button-next:hover {
  background-color: #131721;
  box-shadow: 0 0 10px #1d54ed;
}
.gallery .swiper-button-disabled {
  opacity: 0.4;
  pointer-events: none;
}
@media (max-width: 620px) {
  .gallery__swiper-wrapper {
    flex-wrap: nowrap;
  }
}

.quests {
  position: relative;
  margin-top: 120px;
  background-color: rgba(26, 30, 41, 0.7);
}
.quests::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: url(/images/quests-back.jpg?2313d3fb670053e892f52fcfcca4f409) right no-repeat fixed;
  background-size: cover;
}
.quests__container {
  max-width: 1410px;
  margin: 0 auto;
  padding: 80px 20px;
}
.quests__block {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto;
  justify-content: center;
  gap: 30px;
  max-width: 1060px;
  margin: 0 auto;
}
.quests__card {
  position: relative;
  flex: 1;
  max-width: 335px;
  min-width: 220px;
  padding: 50px 30px;
  border-radius: 20px;
  border: 2px solid #1d54ed;
  background-color: #131721;
  cursor: pointer;
  overflow: hidden;
  text-align: center;
}

.card-quests__container {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.card-quests__img {
  position: relative;
  aspect-ratio: 1;
  max-width: 200px;
  max-height: 200px;
}
.card-quests__img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 50%;
}
.card-quests__title {
  font-family: main;
  font-size: clamp(25px, 3vw, 30px);
  line-height: 120%;
  margin: 35px 0 20px 0;
  color: #1d54ed;
}
.card-quests__text {
  font-size: clamp(16px, 3vw, 18px);
  color: white;
  text-transform: uppercase;
  line-height: 130%;
}

.quests__card::before {
  content: "";
  background: linear-gradient(180deg, #1d54ed 0%, rgb(19, 23, 33) 75%);
  position: absolute;
  left: 0;
  top: -100%;
  width: 100%;
  height: 100%;
  transition: all 0.5s;
}

.quests__card:hover::before {
  top: 0;
}

.quests__card:nth-child(even) {
  border: 2px solid #ff2602;
  background-color: #221512;
}

.quests__card:nth-child(even)::before {
  background: linear-gradient(180deg, #ff2602 0%, #221512 75%);
}

.quests__card:nth-child(even) .card-quests__title {
  color: #ff2602;
}

@media (max-width: 1024px) {
  .quests__block {
    grid-template-columns: repeat(2, 1fr);
  }
  .quests__card {
    max-width: 100%;
  }
}
@media (max-width: 768px) {
  .quests {
    margin-top: 70px;
  }
  .quests__container {
    padding: 50px 20px;
  }
  .quests__block {
    grid-template-columns: 1fr;
  }
  .quests__card {
    max-width: 100%;
    min-width: 300px;
    text-align: left;
    padding: 20px;
  }
  .card-quests__container {
    flex-direction: row;
    gap: 20px;
  }
  .card-quests__title {
    margin: 0 0 20px 0;
  }
}
@media (max-width: 500px) {
  .card-quests__container {
    flex-direction: column;
  }
  .card-quests {
    text-align: center;
  }
  .card-quests__img {
    max-width: 100px;
  }
}
.tariffs {
  position: relative;
  overflow-x: hidden;
}
.tariffs__container {
  padding-bottom: 100px;
}
.tariffs__top {
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 30px;
  flex-wrap: wrap;
  margin-bottom: 50px;
}
.tariffs__title {
  margin-bottom: 0;
}
.tariffs__swiper {
  width: 100%;
  position: relative;
}
@media (max-width: 768px) {
  .tariffs__top {
    margin-bottom: 30px;
  }
  .tariffs__container {
    padding-bottom: 50px;
  }
}

.swiper-tariffs__buttons {
  justify-content: flex-end;
  align-items: center;
  display: flex;
  gap: 30px;
}
.swiper-tariffs__button-prev, .swiper-tariffs__button-next {
  padding: 8px;
  border: 2px solid #1d54ed;
  border-radius: 15px;
  width: -moz-fit-content;
  width: fit-content;
  cursor: pointer;
  transition: all 0.2s;
  display: flex;
  align-items: center;
}
.swiper-tariffs__button-prev:hover, .swiper-tariffs__button-next:hover {
  background-color: #131721;
  box-shadow: 0 0 10px #1d54ed;
}
.swiper-tariffs__wrapper {
  display: flex;
  transition-property: transform;
  box-sizing: content-box;
}
.swiper-tariffs__slide {
  transition: all 0.3s;
  flex-shrink: 0;
  width: 33.33%;
  height: auto;
  position: relative;
  box-sizing: border-box;
}

.slide-tariffs {
  border: 2px solid #ff2602;
  border-radius: 20px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  background-color: #221512;
  cursor: pointer;
}
.slide-tariffs__title {
  background-color: #ff2602;
  font-family: main;
  font-size: clamp(25px, 3vw, 40px);
  color: #121314;
  text-align: center;
  padding: 30px 0 65px 0;
}
.slide-tariffs__age {
  margin: 0 auto;
  position: relative;
  top: -50px;
  width: 100px;
  height: 100px;
  background-color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.5s;
}
.slide-tariffs__age p {
  font-family: main;
  font-size: clamp(30px, 3vw, 35px);
  color: #ff2602;
}
.slide-tariffs__content {
  flex: 1;
  position: relative;
  top: -25px;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 25px 15px 25px;
}
.slide-tariffs__desc {
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-size: clamp(16px, 3vw, 18px);
  line-height: 150%;
  color: white;
  margin-bottom: 30px;
}
.slide-tariffs__price {
  font-family: main;
  font-size: clamp(30px, 3vw, 40px);
  padding: 7px 20px;
  text-align: center;
  background-color: #ff2602;
  color: #121314;
  border-radius: 20px;
  margin-top: auto;
  margin-bottom: 15px;
  transition: all 0.5s;
}
.slide-tariffs__more {
  font-size: clamp(14px, 3vw, 16px);
  color: white;
  line-height: 150%;
  text-align: center;
}
.slide-tariffs:nth-child(even) {
  border: 2px solid #1d54ed;
  background-color: #131721;
}
.slide-tariffs:nth-child(even) .slide-tariffs__title {
  background-color: #1d54ed;
  color: white;
}
.slide-tariffs:nth-child(even) .slide-tariffs__age p {
  color: #1d54ed;
}
.slide-tariffs:nth-child(even) .slide-tariffs__price {
  background-color: #1d54ed;
  color: white;
}
@media (min-width: 769px) {
  .slide-tariffs:hover {
    box-shadow: 0 0 70px rgba(255, 38, 2, 0.45);
  }
  .slide-tariffs:hover .slide-tariffs__age {
    box-shadow: 0 0 40px rgba(255, 38, 2, 0.5);
  }
  .slide-tariffs:hover .slide-tariffs__price {
    box-shadow: 0 0 40px rgba(255, 38, 2, 0.5);
  }
  .slide-tariffs:nth-child(even):hover {
    box-shadow: 0 0 70px rgba(29, 84, 237, 0.45);
  }
  .slide-tariffs:nth-child(even):hover .slide-tariffs__age {
    box-shadow: 0 0 40px rgba(29, 84, 237, 0.5);
  }
  .slide-tariffs:nth-child(even):hover .slide-tariffs__price {
    box-shadow: 0 0 40px rgba(29, 84, 237, 0.5);
  }
}

@media (max-width: 768px) {
  .slide-tariffs.swiper-slide-active {
    box-shadow: 0 0 70px rgba(255, 38, 2, 0.45);
  }
  .slide-tariffs.swiper-slide-active:nth-child(even) {
    box-shadow: 0 0 70px rgba(29, 84, 237, 0.45);
  }
}
@media (min-width: 769px) {
  .slide-tariffs.swiper-button-disabled,
  .slide-tariffs.swiper-slide-behind-far {
    opacity: 0.4;
    pointer-events: none;
  }
}
.services {
  padding-bottom: 120px;
}
.services__container {
  margin-top: 0;
}
.services__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 30px;
}

.card-service {
  cursor: pointer;
  position: relative;
  min-height: 330px;
  max-width: 330px;
  min-width: 250px;
  overflow: hidden;
  border: 2px solid #1d54ed;
  border-radius: 20px;
  flex: 1;
}
.card-service:nth-child(even) {
  border: 2px solid #ff2602;
}
.card-service:nth-child(even) .card-service__title::before {
  background-color: #ff2602;
}
.card-service:nth-child(even) .card-service__price {
  background-color: #ff2602;
}
.card-service__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: space-between;
  padding-bottom: 25px;
  transition: all 0.3s ease 0.1s;
}
.card-service__title {
  position: relative;
  z-index: 1;
  font-family: main;
  font-size: clamp(25px, 3vw, 30px);
  color: white;
  text-align: center;
  padding: 25px 15px;
  transition: all 0.5s;
  line-height: 120%;
}
.card-service__title::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #1d54ed;
  transition: all 0.5s;
}
.card-service__price {
  background-color: #1d54ed;
  border-radius: 15px;
  font-family: main;
  font-size: 30px;
  padding: 5px 30px;
  margin: 0 auto;
  color: white;
}
.card-service__back-img {
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
@media (min-width: 769px) {
  .card-service:hover .card-service__title {
    padding: 15px;
  }
  .card-service:hover .card-service__title::before {
    top: 0;
  }
  .card-service:hover .card-service__content {
    background-color: rgba(0, 0, 0, 0);
  }
}

@media (max-width: 768px) {
  .services {
    padding-bottom: 70px;
  }
  .card-service {
    max-width: 100%;
  }
}
@media (max-width: 550px) {
  .card-service {
    min-height: 200px;
  }
}
.footer {
  background-color: #181b23;
}
.footer__container {
  max-width: 1410px;
  margin: 0 auto;
  padding: 60px 20px;
  display: flex;
  gap: 30px 20px;
  flex-wrap: wrap;
  justify-content: space-between;
}
.footer__list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px 50px;
}
.footer__link {
  font-size: 20px;
  color: white;
}
.footer__link:hover {
  text-decoration: underline;
}
.footer__logo {
  max-width: 300px;
  width: 100%;
  max-height: 100px;
}
.footer__logo img {
  width: 100%;
  height: 100%;
}
.footer__top {
  background: none;
  padding: 8px;
  border: 2px solid #1d54ed;
  border-radius: 50%;
  display: flex;
  align-items: center;
  transition: all 0.1s;
}
.footer__top path {
  transition: all 0.2s;
}
.footer__top:hover {
  box-shadow: 0 0 20px rgba(29, 84, 237, 0.4274509804);
}
.footer__top:hover path {
  fill: #181b23;
}
.footer__copyright {
  font-size: clamp(16px, 3vw, 18px);
  color: white;
  line-height: 150%;
  opacity: 0.6;
}
.footer__phone {
  position: relative;
  z-index: 2;
  font-size: clamp(16px, 3vw, 18px);
  border-radius: 10px;
  overflow: hidden;
  border: 2px solid #1d54ed;
  display: flex;
  flex-wrap: wrap;
}
.footer__phone::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: -100%;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(29, 84, 237, 0.368627451);
  transition: all 0.3s;
}
.footer__phone:hover::before {
  left: 0;
}
.footer__phone-label {
  background-color: #1d54ed;
  padding: 10px;
  border-radius: 10px;
  color: white;
  font-weight: 500;
  font-size: 18px;
}
.footer__phone-num {
  padding: 10px;
  color: white;
}
.footer__link-author {
  color: #1d54ed;
  font-weight: 600;
}
.footer__text {
  color: white;
  opacity: 0.7;
  font-size: clamp(16px, 3vw, 18px);
  text-align: center;
}
.footer__link-author:hover {
  text-decoration: underline;
  opacity: 1;
}
@media (max-width: 425px) {
  .footer {
    text-align: center;
  }
  .footer__list {
    flex-direction: column;
  }
  .footer__list, .footer__logo, .footer__top, .footer__phone, .footer__text {
    margin: 0 auto;
  }
}
@media (max-width: 375px) {
  .footer__phone {
    flex-direction: column;
  }
}

.page-quest {
  padding-top: 150px;
  max-width: 1410px;
  margin: 0 auto;
}
.page-quest__breabcrumbs {
  padding: 0 20px;
  margin-bottom: 40px;
  color: white;
  font-size: clamp(16px, 3vw, 18px);
  line-height: 130%;
}
.page-quest__breabcrumbs a {
  color: white;
}
.page-quest__breabcrumbs a:hover {
  text-decoration: underline;
}
.page-quest__breabcrumbs span {
  text-transform: capitalize;
  color: #ff2602;
}

.block-quest__container {
  display: flex;
  gap: 30px;
  padding: 0 20px;
}
.block-quest__img, .block-quest__column {
  flex: 1;
}
.block-quest__img-mobile {
  display: none;
}
.block-quest__img {
  max-width: 100%;
  height: 600px;
  position: sticky;
  overflow: hidden;
  top: 100px;
}
.block-quest__img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 20px;
}
.block-quest__column {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.block-quest__title {
  margin-bottom: 10px;
}
.block-quest__desc {
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-size: clamp(16px, 3vw, 18px);
  color: white;
  line-height: 150%;
}
.block-quest__desc h2,
.block-quest__desc h3,
.block-quest__desc h4,
.block-quest__desc h5,
.block-quest__desc h6 {
  font-family: main;
  color: #1d54ed;
  font-size: clamp(25px, 3vw, 35px);
  margin-top: 10px;
}
.block-quest__desc a {
  padding: 5px 10px;
  font-size: clamp(18px, 4vw, 20px);
  font-weight: 800;
  text-transform: uppercase;
  border-radius: 10px;
  transition: all 0.2s;
  border: 2px solid #1d54ed;
  background-color: #121314;
  color: #1d54ed;
}
.block-quest__desc a::after {
  position: relative;
  content: "→";
  font-size: 30px;
  margin-left: 10px;
  transition: all 0.2s;
}
.block-quest__desc a:hover::after {
  margin-left: 25px;
}
.block-quest__desc ul {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.block-quest__desc li::before {
  content: "•";
  font-size: 25px;
  margin-right: 10px;
  color: #ff2602;
}
.block-quest__desc span {
  font-weight: 700;
}
.block-quest__modes {
  display: flex;
  gap: 30px;
}
.block-quest__subquests {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  grid-auto-flow: row;
  gap: 15px;
}
.block-quest__subquest {
  position: relative;
  overflow: hidden;
  border-radius: 15px;
  height: 270px;
}
.block-quest__subquest:nth-child(odd) {
  border: 2px solid #ff2602;
}
.block-quest__subquest:nth-child(even) {
  border: 2px solid #1d54ed;
}
.block-quest__reservation {
  position: relative;
  width: -moz-fit-content;
  width: fit-content;
  padding: 10px 15px;
  font-size: clamp(18px, 4vw, 20px);
  font-weight: 800;
  text-transform: uppercase;
  border-radius: 10px;
  transition: all 0.2s;
  border: 2px solid #ff2602;
  background: none;
  color: #ff2602;
  overflow: hidden;
  transition: all 0.3s;
}
.block-quest__reservation::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 50%;
  left: -130%;
  transform: rotate(-15deg) translateY(-50%);
  height: 300%;
  width: 120%;
  background-color: #ff2602;
  transition: all 0.6s;
}
.block-quest__reservation:hover::before {
  left: 0;
}
.block-quest__reservation:hover {
  color: #121314;
}

.subquest-item:nth-child(odd) .subquest-item__price {
  background-color: #ff2602;
  border-radius: 15px;
  padding: 3px 10px;
}

.subquest-item:nth-child(odd):hover {
  box-shadow: 0 0 40px rgba(255, 40, 2, 0.5647058824);
}

.subquest-item:nth-child(even):hover {
  box-shadow: 0 0 40px rgba(29, 84, 237, 0.5882352941);
}

.subquest-item .subquest-item__content {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 50%);
}

.subquest-item:nth-child(even) .subquest-item__price {
  background-color: #1d54ed;
  border-radius: 15px;
  padding: 3px 10px;
}

.subquest-item {
  transition: all 0.2s;
}
.subquest-item__content {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10px;
}
.subquest-item__name {
  font-family: main;
  font-size: clamp(22px, 4vw, 26px);
  font-weight: 500;
  color: white;
  text-align: center;
}
.subquest-item__price {
  text-align: center;
  font-size: clamp(20px, 4vw, 24px);
  font-weight: 600;
  color: white;
}
.subquest-item__img {
  z-index: 1;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: all 0.2s;
}

.mode-quest {
  position: relative;
  flex: 1;
  max-width: 240px;
  min-width: 180px;
  height: 210px;
  border: 2px solid #1d54ed;
  border-radius: 20px;
  padding: 20px;
  overflow: hidden;
  cursor: pointer;
  text-align: center;
}
.mode-quest::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, #1d54ed 0%, #121314 60%);
  transition: all 0.5s;
}
.mode-quest:hover::before {
  top: 0;
}
.mode-quest__container {
  height: 100%;
  border-radius: 10px;
  background-color: #141a29;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #1d54ed;
  padding: 10px 20px;
}
.mode-quest__age {
  font-family: main;
  font-size: clamp(40px, 4vw, 50px);
  margin-bottom: 7px;
}
.mode-quest__price {
  font-weight: 600;
  font-size: clamp(23px, 3vw, 25px);
}

@media (max-width: 1024px) {
  .block-quest__modes {
    flex-wrap: wrap;
  }
  .mode-quest {
    max-width: 100%;
  }
  .mode-quest__container {
    padding: 10px 20px;
  }
}
@media (max-width: 768px) {
  .page-quest {
    padding-top: 130px;
  }
  .block-quest__container {
    flex-direction: column;
  }
  .block-quest__title {
    margin-bottom: 0;
  }
  .block-quest__img {
    display: none;
  }
  .block-quest__img-mobile {
    display: block;
    width: 100%;
    height: 200px;
  }
  .block-quest__img-mobile img {
    width: 100%;
    height: 100%;
    border-radius: 20px;
    -o-object-fit: cover;
       object-fit: cover;
  }
  .mode-quest {
    height: auto;
  }
  .mode-quest__container {
    padding: 20px;
  }
}
@media (max-width: 425px) {
  .page-quest {
    padding-top: 110px;
  }
}
.mode-quest:nth-child(even) {
  border: 2px solid #ff2602;
}
.mode-quest:nth-child(even)::before {
  background: linear-gradient(180deg, #ff2602 0%, #121314 60%);
}

.mode-quest:nth-child(even) .mode-quest__container {
  background-color: #221512;
  color: #ff2602;
}

.contacts {
  padding: 0 20px;
}
.contacts__container {
  margin-top: 120px;
  margin-bottom: 120px;
  padding: 30px 25px;
  max-width: 1410px;
  border: 2px solid #ff2602;
  border-radius: 20px;
  display: flex;
  gap: 20px;
}
.contacts__list {
  display: flex;
  flex-direction: column;
  gap: 30px;
  font-size: clamp(18px, 3vw, 20px);
  line-height: 140%;
}
.contacts__list-item {
  display: flex;
  flex-direction: column;
  align-items: start;
}
.contacts__list-item span {
  color: #ff2602;
  text-transform: uppercase;
}
.contacts__list-item a {
  color: white;
}
.contacts__list-item a:hover {
  text-decoration: underline;
}
.contacts svg {
  position: relative;
  margin-top: 30px;
  overflow: visible;
}
.contacts svg:hover rect {
  fill: none;
  stroke: #ff2602;
  stroke-width: 2px;
}
.contacts svg:hover g path,
.contacts svg:hover defs clipPath {
  fill: #ff2602;
}
.contacts__iframe {
  max-width: 900px;
  width: 100%;
  height: 420px;
  overflow: hidden;
  border-radius: 20px;
}
.contacts .custom-placemark {
  position: relative;
  width: 70px;
  height: 70px;
}
.contacts .custom-placemark img {
  position: relative;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 5px solid #ff2602; /* Обводка */
  -o-object-fit: cover;
     object-fit: cover; /* Для корректного отображения изображения */
  transition: transform 0.3s ease, border-color 0.3s ease; /* Плавные переходы */
}
.contacts .custom-placemark-before {
  position: absolute;
  z-index: -1;
  bottom: -35px;
  left: 50%;
  transform: translateX(-50%);
  border: 15px solid transparent;
  border-top: 30px solid #ff2602;
}
@media (min-width: 769px) {
  .contacts__column {
    flex: 4;
  }
  .contacts__iframe {
    flex: 8;
  }
}
@media (max-width: 768px) {
  .contacts__container {
    padding: 0;
    flex-direction: column;
    margin-top: 70px;
    margin-bottom: 70px;
    gap: 30px;
  }
  .contacts__column {
    padding: 35px 20px 0 20px;
  }
  .contacts__iframe {
    height: 270px;
  }
}

.ymaps-2-1-79-ground-pane {
  filter: grayscale(100%) invert(95%);
}

.page-error {
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.6);
  position: relative;
  padding-top: 70px;
  padding-bottom: 120px;
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.page-error::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(/images/img.jpg?a0ea893d6dd95b3575c9bb8bf5e04cda) center no-repeat;
  background-size: cover;
}
.page-error__container {
  text-align: center;
  padding: 0 20px;
}
.page-error__container h1 {
  font-family: main;
  color: #121314;
  background-color: #ff2602;
  border-radius: 20px;
  font-size: clamp(60px, 15vw, 100px);
  margin-bottom: 20px;
}
.page-error__container h2 {
  font-size: clamp(22px, 5vw, 30px);
  color: white;
}
.page-error__logo {
  margin: 0 auto;
  margin-bottom: 30px;
  position: relative;
  max-width: 300px;
  width: 100%;
}
.page-error__logo img {
  width: 100%;
  height: 100%;
}

.reservation-modal {
  padding: 50px 30px;
  background-color: white;
  border-radius: 15px;
  max-width: 500px;
  width: 100%;
}
.reservation-modal__title {
  font-family: main;
  text-transform: uppercase;
  font-size: clamp(31px, 4vw, 40px);
  color: #1d54ed;
  margin-bottom: 30px;
  text-align: center;
}

.form-reservation__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.form-reservation__input-container {
  position: relative;
  list-style: none;
}
.form-reservation__input-container span {
  position: absolute;
  top: -8px;
  left: 10px;
  background-color: white;
  padding: 0 5px;
  color: #1d54ed;
  font-size: 14px;
}
.form-reservation__input {
  padding: 10px;
  border: 1px solid rgb(185, 185, 185);
  border-radius: 10px;
  font-size: 16px;
  font-weight: 400;
  width: 100%;
}
.form-reservation input::-webkit-outer-spin-button,
.form-reservation input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.form-reservation__submit {
  margin-top: 20px;
  padding: 10px;
  border-radius: 10px;
  width: 100%;
  background-color: #1d54ed;
  color: white;
  font-size: clamp(18px, 4vw, 22px);
  font-weight: 600;
  text-transform: uppercase;
  cursor: pointer;
}
.form-reservation .invalid-feedback {
  position: absolute;
  bottom: -10px;
  right: 15px;
  padding: 3px;
  background-color: white;
  color: #ff2602;
  font-weight: 500;
  border-radius: 5px;
}

.form-message {
  font-size: clamp(16px, 4vw, 18px);
  text-align: center;
}
